# Uses of Interface
org.apache.sling.discovery.InstanceFilter

## Uses of InstanceFilter in org.apache.sling.discovery

Methods in org.apache.sling.discovery with parameters of type InstanceFilter
Modifier and Type
Method
Description
`Set<InstanceDescription>`
TopologyView.`findInstances(InstanceFilter filter)`
Searches through this topology and picks those accepted by the provided `InstanceFilter` - and returns them without any particular order